import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/',
  'Bhanuteja-1807/', // User
  '47ea186e014af26548aff97c8eb9ad4f/', // Id of the Gist
  'raw/cff7f9d8e11fd74f51fa5074938ad274cb8389ee/', // commit
  'Iris.csv', // File name
].join('');
const parseRow = (d) => {
  d.SepalLengthCm = +d.SepalLengthCm;
  d.SepalWidthCm = +d.SepalWidthCm;
  d.PetalLengthCm = +d.PetalLengthCm;
  d.PetalWidthCm = +d.PetalWidthCm;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.PetalWidthCm)
      .yValue((d) => d.SepalLengthCm)
      .symbolValue((d) => d.Species)
      .margin({
        top: 50,
        right: 50,
        bottom: 100,
        left: 80,
      })
      .size(100)
  );
};
    svg.append("text")   
        .attr("transform", "rotate(-90)")
        .attr("x", 0 - (height/2) )
        .attr("dy", "1em")
        .style("text-anchor", "middle")
        .text("SepalLengthCm")
        .attr("font-family","cursive")
        .attr("font-weight","bold");
    svg.append("text")
        .attr("x", width / 2 )
        .attr("y",  450)
        .style("text-anchor", "middle")
        .text("PetalWidthCm")
        .attr("font-family","cursive")
        .attr("font-weight","bold");
                
    svg.append('text')
        .attr('class','axis-label')
        .attr('x',innerWidth/2.0)
        .attr('y',50)
        .style("font","30px times")
        .text("Scatter Plot")
main();
